Update batch
curl --request PATCH \
--url https://acusight.io/api/data/batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to": "<string>",
"name": "<string>",
"project_id": 123,
"stage": "<string>",
"status": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://acusight.io/api/data/batches/{id}"
payload = {
"assigned_to": "<string>",
"name": "<string>",
"project_id": 123,
"stage": "<string>",
"status": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assigned_to: '<string>',
name: '<string>',
project_id: 123,
stage: '<string>',
status: '<string>',
tags: ['<string>']
})
};
fetch('https://acusight.io/api/data/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'assigned_to' => '<string>',
'name' => '<string>',
'project_id' => 123,
'stage' => '<string>',
'status' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/batches/{id}"
payload := strings.NewReader("{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://acusight.io/api/data/batches/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/batches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"deployed_model_id": "<string>",
"device_id": "<string>",
"id": 123,
"images": [
{
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
}
],
"last_image_received_at": "<string>",
"name": "<string>",
"organization_id": "<string>",
"pipeline_id": "<string>",
"project": {
"batches": "<array>",
"classes": [
{
"color": "<string>",
"created_at": "<string>",
"id": 123,
"name": "<string>",
"project": "<unknown>",
"project_id": 123,
"raw_value": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>",
"organization_id": "<string>",
"project_type": "<string>",
"updated_at": "<string>",
"versions": [
{
"created_at": "<string>",
"id": 123,
"name": "<string>",
"pipeline_config": [
123
],
"project": "<unknown>",
"project_id": 123,
"updated_at": "<string>",
"version": 123,
"version_annotations": [
{
"geometry": [
123
],
"id": 123,
"original_annotation": {
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
},
"original_annotation_id": 123,
"type": "<string>",
"version": "<unknown>",
"version_class_value": "<string>",
"version_id": 123,
"version_image": {
"annotations": "<array>",
"filename": "<string>",
"height": 123,
"id": 123,
"original_image": {
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
},
"original_image_id": 123,
"split": "<string>",
"storage_key": "<string>",
"version": "<unknown>",
"version_batch": {
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
},
"version_batch_id": 123,
"version_id": 123,
"width": 123
},
"version_image_id": 123
}
],
"version_batches": [
{
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
}
],
"version_classes": [
{
"color": "<string>",
"id": 123,
"name": "<string>",
"original_class": {
"color": "<string>",
"created_at": "<string>",
"id": 123,
"name": "<string>",
"project": "<unknown>",
"project_id": 123,
"raw_value": "<string>",
"updated_at": "<string>"
},
"original_class_id": 123,
"raw_value": "<string>",
"version": "<unknown>",
"version_id": 123
}
],
"version_images": [
{
"annotations": "<array>",
"filename": "<string>",
"height": 123,
"id": 123,
"original_image": {
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
},
"original_image_id": 123,
"split": "<string>",
"storage_key": "<string>",
"version": "<unknown>",
"version_batch": {
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
},
"version_batch_id": 123,
"version_id": 123,
"width": 123
}
]
}
]
},
"project_id": 123,
"source": "<string>",
"stage": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"version": 123
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Datasets & data
Update batch
Central endpoint for updating batch lifecycle fields such as stage transitions, project assignment, assignees, and metadata.
PATCH
/
data
/
batches
/
{id}
Update batch
curl --request PATCH \
--url https://acusight.io/api/data/batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to": "<string>",
"name": "<string>",
"project_id": 123,
"stage": "<string>",
"status": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://acusight.io/api/data/batches/{id}"
payload = {
"assigned_to": "<string>",
"name": "<string>",
"project_id": 123,
"stage": "<string>",
"status": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assigned_to: '<string>',
name: '<string>',
project_id: 123,
stage: '<string>',
status: '<string>',
tags: ['<string>']
})
};
fetch('https://acusight.io/api/data/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'assigned_to' => '<string>',
'name' => '<string>',
'project_id' => 123,
'stage' => '<string>',
'status' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/batches/{id}"
payload := strings.NewReader("{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://acusight.io/api/data/batches/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/batches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assigned_to\": \"<string>\",\n \"name\": \"<string>\",\n \"project_id\": 123,\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"deployed_model_id": "<string>",
"device_id": "<string>",
"id": 123,
"images": [
{
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
}
],
"last_image_received_at": "<string>",
"name": "<string>",
"organization_id": "<string>",
"pipeline_id": "<string>",
"project": {
"batches": "<array>",
"classes": [
{
"color": "<string>",
"created_at": "<string>",
"id": 123,
"name": "<string>",
"project": "<unknown>",
"project_id": 123,
"raw_value": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>",
"organization_id": "<string>",
"project_type": "<string>",
"updated_at": "<string>",
"versions": [
{
"created_at": "<string>",
"id": 123,
"name": "<string>",
"pipeline_config": [
123
],
"project": "<unknown>",
"project_id": 123,
"updated_at": "<string>",
"version": 123,
"version_annotations": [
{
"geometry": [
123
],
"id": 123,
"original_annotation": {
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
},
"original_annotation_id": 123,
"type": "<string>",
"version": "<unknown>",
"version_class_value": "<string>",
"version_id": 123,
"version_image": {
"annotations": "<array>",
"filename": "<string>",
"height": 123,
"id": 123,
"original_image": {
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
},
"original_image_id": 123,
"split": "<string>",
"storage_key": "<string>",
"version": "<unknown>",
"version_batch": {
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
},
"version_batch_id": 123,
"version_id": 123,
"width": 123
},
"version_image_id": 123
}
],
"version_batches": [
{
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
}
],
"version_classes": [
{
"color": "<string>",
"id": 123,
"name": "<string>",
"original_class": {
"color": "<string>",
"created_at": "<string>",
"id": 123,
"name": "<string>",
"project": "<unknown>",
"project_id": 123,
"raw_value": "<string>",
"updated_at": "<string>"
},
"original_class_id": 123,
"raw_value": "<string>",
"version": "<unknown>",
"version_id": 123
}
],
"version_images": [
{
"annotations": "<array>",
"filename": "<string>",
"height": 123,
"id": 123,
"original_image": {
"annotation_status": "<string>",
"annotations": [
{
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
}
],
"batch": "<unknown>",
"batch_id": 123,
"created_at": "<string>",
"device_id": "<string>",
"filename": "<string>",
"height": 123,
"id": 123,
"pipeline_id": "<string>",
"split": "<string>",
"split_locked": true,
"storage_key": "<string>",
"updated_at": "<string>",
"width": 123
},
"original_image_id": 123,
"split": "<string>",
"storage_key": "<string>",
"version": "<unknown>",
"version_batch": {
"id": 123,
"images": "<array>",
"name": "<string>",
"original_batch": "<unknown>",
"original_batch_id": 123,
"project_id": 123,
"version": "<unknown>",
"version_id": 123
},
"version_batch_id": 123,
"version_id": 123,
"width": 123
}
]
}
]
},
"project_id": 123,
"source": "<string>",
"stage": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"version": 123
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Batch ID
Body
application/json
Batch update payload
Was this page helpful?